{% extends "donate/base.html" %}
{% load static wagtailcore_tags %}

{% block content %}

<!-- CONTENT -->
<main role="main">

  <section class="section--alternate region__header">
    <div class="container">
      <h1 class="lead heading">{{ page.title }}</h1>
    </div> <!-- /container -->
  </section>

  <section class="section--primary">
    <div class="container">
      <div class="row">
        <div class="col-12 col-lg-8 col-xl-7 mb-4 mb-lg-0 richtext">

          {{ page.body|richtext }}

        </div><!-- /column -->

        <div class="col-12 col-lg-4 offset-xl-1"><!-- /column -->
          <div class="project-donate-form mb-4">
            <div class="project-donate-form__left">
              <div class="project-donate-form__left-content">
                <h2 class="lead mb-0">Podpoř piráty</h2>
              </div><!-- /project-donate-form__left-content -->
            </div><!-- /project-donate-form__left -->

            <div class="project-donate-form__right">
              {% if page.show_donate_form %}
              <form id="js-donate-form" method="post">
                {% csrf_token %}
                <input type="hidden" name="portal_project_id" value="{{ page.portal_project_id }}">
                <div class="form-group row mb-2 align-items-center">
                    <legend class="col-form-label col-md-12 col-form-label-lg">Typ příspěvku</legend>
                    <div class="col-md-12">
                        <div class="custom-control custom-radio custom-control-inline">
                          <input type="radio" id="periodicity1" name="periodicity" value="730" class="custom-control-input" checked>
                          <label class="custom-control-label col-form-label-lg" for="periodicity1">Měsíční</label>
                        </div>
                        <div class="custom-control custom-radio custom-control-inline">
                          <input type="radio" id="periodicity2" name="periodicity" value="99999" class="custom-control-input">
                          <label class="custom-control-label col-form-label-lg" for="periodicity2">Jednorázový</label>
                        </div>
                    </div>
                </div>
                <div class="form-group row mb-4 align-items-center">
                    <legend class="col-form-label col-md-12 col-form-label-lg">Částka</legend>
                    <div class="col-md-12">
                        <div id="monthlyAmounts" data-default-selected="{{ page.form_monthly_preselected }}">
                            {% include "donate/form_monthly_amounts_snippet.html" %}
                        </div>
                        <div id="oneTimeAmounts" style="display: None"
                             data-default-selected="{{ page.form_preselected }}">
                            {% include "donate/form_amounts_snippet.html" %}
                        </div>
                    </div>
                </div>
                <div class="form-group row mb-2 align-items-center" id="js-custom-amount-input">
                    <div class="col-md-12">
                      <div class="input-group input-group-lg mb-3 custom-amount">
                        <input type="number" class="form-control" id="customamount" placeholder="Jiná částka" name="custom_amount" aria-describedby="customamount-currency">
                        <div class="input-group-append">
                          <span class="input-group-text" id="customamount-currency">Kč</span>
                        </div>
                      </div>
                    </div>
                </div>
                <div class="form-group row mb-0">
                  <div class="col-12">
                    <button type="submit" class="btn btn-danger btn-lg">Darovat</button>
                  </div>
                </div>
              </form>
              {% endif %}

            </div><!-- /project-donate-form__right -->
          </div>

        </div><!-- /column -->
      </div> <!-- /row -->
    </div> <!-- /container -->
  </section>

</main>
<!-- /CONTENT -->

{% endblock %}
